%global github_name icmplib
%global _description\
icmplib is a brand new and modern implementation of the ICMP protocol in Python.


Name:           python-%{github_name}
Version:        3.0.3
Release:        1%{?dist}
Summary:        icmplib is a modern implementation of the ICMP protocol in Python

License:        LGPLv3
URL:            https://github.com/ValentinBELYN/icmplib
Source0:        https://github.com/ValentinBELYN/%{github_name}/archive/refs/tags/v%{version}.tar.gz#/%{github_name}-%{version}.tar.gz
BuildArch:      noarch


%description %_description


%package -n python3-%{github_name}
Summary:        %{summary}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel

%generate_buildrequires
%pyproject_buildrequires -r

%description -n python3-%{github_name}
%_description

%prep
%autosetup -p1 -n %{github_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{github_name}

%check
%py3_check_import icmplib

%files -n python3-%{github_name} -f %{pyproject_files}
%doc README.md
%license LICENSE

%changelog
* Sun Feb 6 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.3-1
- New release 3.0.3

* Sun Oct 31 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.2-1
- New release 3.0.2

* Sat Aug 14 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.1-1
- New release 3.0.1

* Thu Aug 5 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-3
- Add basic smoke test with %%py3_check_import

* Sun Jul 4 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-2
- Add support for IPv6 zone index

* Sat Jun 12 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-1
- Version 3.0.0

